<!DOCTYPE html>
<html lang="hu">
    <head>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="design.css">
        <script src="/muveletek.js"></script>
        <title>Főoldal</title>
    </head>
    <body>
        <div>
            <img src="http://localhost:8080/kepek/sports.png" id="alapkep" alt="alapkep">
        </div>
        <%- include('partials/navbar.ejs') %>
        <div class="egyseg">
            <header><h1>Főoldal</h1></header>

            <table>
                <tr>
                    <td><a class="button" href="sportpalya">Sportpálya bevezetése a rendszerbe</a></td>
                    <td><a class="button" href="foglalas">Sportpálya foglalása</a></td>
                </tr>
            </table>
            <br><br>

            <div class="muveletek">
                <div class="muvelet">
                    <form method="POST" action="/kereses">
                        <label>Keresés: &emsp;<input type="text" name="keres" class="input"></label><br><br>
                        <input type="submit" value="Keresés" class="button2"></label>
                    </form>
                </div>
    
                <div class="muvelet">
                    <form method="POST" action="/szures">
                        <label>Szűrés: &emsp;<input type="date" name="szuresDatum">&emsp;<input type="time" name="szuresIdo"></label><br><br>
                        <input type="submit" value="Szűrés" class="button2"></label>
                    </form>
                </div>
            </div>

            <div class="egyseg">
                <h2>Sportpályák</h2>
                <% palyak.forEach((palya) => { %>
                    <div class="egyseg" id="palya<%= palya.ID %>" >
                        <label>Pálya típusa: <%= palya.tipus %></label><br><br>
                        <label>Órabér: <%= palya.oraber %></label><br><br>
                        <label>Cím: <%= palya.cim %> </label><br><br>
                        <label>Leírás: <%= palya.leiras %> </label><br><br>
                        <% if (typeof tokenObj !== 'undefined') { %>
                        <a class="foglalas" onclick="foglalasokListazasa(`<%= palya.ID %>`,`<%= tokenObj.szemID %>`)">Foglalások megtekintése</a><br><br>
                        <% } %>
                        <label><a class="button" href="palyareszletek<%= palya.ID %>">Bővebb információ</a><br><br>
                        <div id="foglalasok<%= palya.ID %>"></div>
                    </div>
                <% }) %>
            </div>
        </div>
    </body>
</html>
